OnlyFans API
OnlyFansAI Fan Summaries

Update Custom Summary Category

Update the label or keywords of a custom fan summary category. The field key is immutable so existing summaries keep their data.

PUT
/api/fan-summary-categories/{category_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

category_id*string

The ID of the category

Request Body

application/json

label*string

Display label for the category.

keywords*string

Comma-separated keywords used to find relevant fan messages for this category.

Response Body

application/json

curl -X PUT "https://app.onlyfansapi.com/api/fan-summary-categories/fan_cat_abc123" \  -H "Content-Type: application/json" \  -d '{    "label": "Gift Preferences",    "keywords": "gift, wishlist, amazon, spoil, surprise, present"  }'
{
  "data": {
    "id": "fan_cat_abc123",
    "key": "custom_gift_preferences",
    "label": "Gift Preferences",
    "keywords": "gift, wishlist, amazon, spoil, surprise, present",
    "created_at": "2026-07-17T12:00:00.000000Z"
  }
}